Activity add view allows user to add activity with no score system assigned

Bug #160567 reported by Alan Elkner on 2007-11-06
4
Affects Status Importance Assigned to Milestone
SchoolTool
Undecided
Alan Elkner

Bug Description

The activity add view allows the user to add an activity even if there is no score system selected. This results in the gradebook view crashing as it uses the score system to calculate averages. The activity add view should make sure the user fills in a score system before accepting the new activity.

Alan Elkner (aelkner) on 2007-11-06
Changed in schooltool:
assignee: nobody → aelkner
Tom Hoffman (tom-hoffman) wrote :

What's the status of this, Alan?

I'm aware of this bug, but to fix it will not be as simple as Paul
suggested when he said to make the field "required" in the interface.
It already is, so it will require some tricky trouble-shooting. Jeff
can work around this in the meantime, and I will be working on more
important things for him in the coming week.

On Wed, Apr 2, 2008 at 3:38 PM, Tom Hoffman <email address hidden> wrote:
> What's the status of this, Alan?
>
>
>
> --
> Activity add view allows user to add activity with no score system assigned
> https://bugs.launchpad.net/bugs/160567
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Tom Hoffman (tom-hoffman) wrote :

OK. I just wanted to make sure it was still a bug.

--Tom

On Tue, Apr 8, 2008 at 9:44 AM, Alan Elkner <email address hidden> wrote:
> I'm aware of this bug, but to fix it will not be as simple as Paul
> suggested when he said to make the field "required" in the interface.
> It already is, so it will require some tricky trouble-shooting. Jeff
> can work around this in the meantime, and I will be working on more
> important things for him in the coming week.
>
>
> On Wed, Apr 2, 2008 at 3:38 PM, Tom Hoffman <email address hidden> wrote:
> > What's the status of this, Alan?
> >
> >
> >
> > --
> > Activity add view allows user to add activity with no score system assigned
> > https://bugs.launchpad.net/bugs/160567
> > You received this bug notification because you are a direct subscriber
> > of the bug.
>
>
> >
>
> --
> Activity add view allows user to add activity with no score system assigned
> https://bugs.launchpad.net/bugs/160567
> You received this bug notification because you are a member of
> SchoolTool Owners, which is subscribed to SchoolTool.
>

Alan Elkner (aelkner) on 2009-01-19
Changed in schooltool:
status: New → Fix Committed
Changed in schooltool:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers